Package org.apache.sysds.runtime.compress.colgroup.dictionary

# Enum Class IDictionary.DictType

java.lang.Object
java.lang.Enum<IDictionary.DictType>
org.apache.sysds.runtime.compress.colgroup.dictionary.IDictionary.DictType

All Implemented Interfaces:
  `Serializable`, `Comparable<IDictionary.DictType>`, `Constable`

Enclosing interface:
  IDictionary

public static enum IDictionary.DictType extends Enum<IDictionary.DictType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Delta`
`Dict`
`Identity`
`IdentitySlice`
`MatrixBlock`
`UInt8`

## Method Summary

Modifier and Type
Method
Description
`static IDictionary.DictType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IDictionary.DictType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Delta

public static final IDictionary.DictType Delta

### Dict

public static final IDictionary.DictType Dict

### MatrixBlock

public static final IDictionary.DictType MatrixBlock

### UInt8

public static final IDictionary.DictType UInt8

### Identity

public static final IDictionary.DictType Identity

### IdentitySlice

public static final IDictionary.DictType IdentitySlice

## Method Details

### values

public static IDictionary.DictType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IDictionary.DictType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null